Loading...
Searching...
No Matches
cascading::CascadeManager::Status Struct Reference

Full Cascading Status. More...

`import <CascadeManager.idl;`

## Public Attributes

Role | role
| This unit's role in the JSON-RPC cascade.
string | primaryUnit
| The primary unit IP address (if role is link unit)
map< int, LinkUnit > | linkUnits
| The list of link units (if role is primary unit)

## Detailed Description

Full Cascading Status.

Definition at line 70 of file CascadeManager.idl.

## Member Data Documentation

## linkUnits

map<int, LinkUnit> cascading::CascadeManager::Status::linkUnits

The list of link units (if role is primary unit)

Definition at line 73 of file CascadeManager.idl.

## primaryUnit

string cascading::CascadeManager::Status::primaryUnit

The primary unit IP address (if role is link unit)

Definition at line 72 of file CascadeManager.idl.

## role

Role cascading::CascadeManager::Status::role

This unit's role in the JSON-RPC cascade.

Definition at line 71 of file CascadeManager.idl.

The documentation for this struct was generated from the following file:

- CascadeManager.idl